Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
cancel
Showing results for 
Search instead for 
Did you mean: 

Microfocus Cobol lic issue

Ashley floris
Occasional Contributor

Microfocus Cobol lic issue

With the migration of HP-UX from 10.20 running Microfocus Cobol to HP-UX 11.00 what are the implications around Microfocus Cobol on the new platform.Please also confirm if there are upgrade options for the application.
4 REPLIES
Jean-Luc Oudart
Honored Contributor

Re: Microfocus Cobol lic issue

Could you specify which version of OCDS you're running ?
JL
fiat lux
Steven E. Protter
Exalted Contributor

Re: Microfocus Cobol lic issue

When you copy the filesystem, Microfocus's licence program mflm will probably detect the move and give you a corruption error when you start it.

There is a procedure in the manual for fixing that.

Licensing perspective, there should be no problem. I don't even think you'll need a new version of the software.

Thats 32 bit only, I don't think a 64 bit version for 64 bit HP-UX exists.

I'm having issues now getting a Microfocus product certified for Cyborg and HP-Ux 11.11 64 bit.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
A. Clay Stephenson
Acclaimed Contributor

Re: Microfocus Cobol lic issue

If you are under software maintenance, then you can install COBOL from the 11.0 Applications CD's - it's not codeword protected but you will need new Flexlm license keys. If you are merely changing from 10.20 to 11.0 on the same system (same host), you can simply copy your old /usr/local/flexlm filetree to the new environment and start the license manager.

----------------------------

I've found that Object COBOL compiles and runs Cyborg (even 5.0) perfectly; I've heard the same nonsense about needing ServerExpress but Ojbect COBOL works just fine.
If it ain't broke, I can fix that.
Indira Aramandla
Honored Contributor

Re: Microfocus Cobol lic issue

Hi,

What version of Micro Focus COBOL are you currently running.

The current release of the product is v4.2 which is certified against HP-UX 11.x and latest versions of Oracle.

Are your Micro Focus licenses under current maintenance and support,

With version v4.1.20 and later, a license manager for run-time licenses (RUN_TIME LICENSE MANAGEMENT) has been introduced. This includes the current version 4.2 and all Micro Focus UNIX products.

Previously there was no mechanism for monitoring the usage of run-times in production systems.




Never give up, Keep Trying